petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCGAMGSetThreshold

Relative threshold to use for dropping edges in aggregation graph

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetThreshold(PC pc, PetscReal v[], PetscInt n)

Not collective on PC

### Input Parameters

| pc | - the preconditioner context
| threshold | - the threshold value, 0.0 means keep all nonzero entries in the graph; negative means keep even zero entries in the graph

### Options Database Key

-pc_gamg_threshold <threshold> - Notes: Increasing the threshold decreases the rate of coarsening. Conversely reducing the threshold increases the rate of coarsening (aggressive coarsening) and thereby reduces the complexity of the coarse grids, and generally results in slower solver converge rates. Reducing coarse grid complexity reduced the complexity of Galerkin coarse grid construction considerably. Before coarsening or aggregating the graph, GAMG removes small values from the graph with this threshold, and thus reducing the coupling in the graph and a different (perhaps better) coarser set of points.

### See Also

PCGAMGFilterGraph(), PCGAMGSetSquareGraph()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetThreshold_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages